Index: branches/dev_001_GM/NEMO/TOP_SRC/PISCES/p4zmicro.F90
===================================================================
--- branches/dev_001_GM/NEMO/TOP_SRC/PISCES/p4zmicro.F90	(revision 857)
+++ branches/dev_001_GM/NEMO/TOP_SRC/PISCES/p4zmicro.F90	(revision 858)
@@ -16,4 +16,5 @@
    USE trp_trc         ! 
    USE sms             ! 
+   USE prtctl_trc
 
    IMPLICIT NONE
@@ -40,8 +41,14 @@
       !! ** Method  : - ???
       !!---------------------------------------------------------------------
-      INTEGER  ::   ji, jj, jk
-      REAL(wp) ::   zcompadi, zcompadi2, zcompaz , zcompaph, zcompapoc
-      REAL(wp) ::   zgraze  , zdenom  , zdenom2
-      REAL(wp) ::   zfact   , zstep   , zinano , zidiat, zipoc
+      INTEGER  :: ji, jj, jk
+      REAL(wp) :: zcompadi, zcompadi2, zcompaz , zcompaph, zcompapoc
+      REAL(wp) :: zgraze  , zdenom  , zdenom2
+      REAL(wp) :: zfact   , zstep   , zinano , zidiat, zipoc
+      REAL(wp) :: zgrarem, zgrafer, zgrapoc, zprcaca, zmortz
+      REAL(wp), DIMENSION(jpi,jpj,jpk) :: zrespz,ztortz
+      REAL(wp), DIMENSION(jpi,jpj,jpk) :: zgrazp, zgrazm, zgrazsd
+      REAL(wp), DIMENSION(jpi,jpj,jpk) :: zgrazmf, zgrazsf, zgrazpf
+      CHARACTER (len=25) :: charout
+
       !!---------------------------------------------------------------------
 
@@ -62,5 +69,5 @@
 !     -------------------------------------
 
-               respz(ji,jj,jk) = resrat * zfact  * ( 1.+ 3.* nitrfac(ji,jj,jk) )     &
+               zrespz(ji,jj,jk) = resrat * zfact  * ( 1.+ 3.* nitrfac(ji,jj,jk) )     &
                   &            * trn(ji,jj,jk,jpzoo) / ( xkmort + trn(ji,jj,jk,jpzoo) )
 
@@ -69,22 +76,22 @@
 !     mimic predation.
 !     ---------------------------------------------------------------
-
-               tortz(ji,jj,jk) = mzrat * 1.e6 * zfact * trn(ji,jj,jk,jpzoo)
-
-            END DO
-         END DO
-      END DO
-
-      DO jk = 1, jpkm1
-         DO jj = 1, jpj
-            DO ji = 1, jpi
-
+               ztortz(ji,jj,jk) = mzrat * 1.e6 * zfact * trn(ji,jj,jk,jpzoo)
+
+            END DO
+         END DO
+      END DO
+
+
+ 
+      DO jk = 1,jpkm1
+         DO jj = 1,jpj
+            DO ji = 1,jpi
                zcompadi  = MAX( ( trn(ji,jj,jk,jpdia) - 1.e-8 ), 0.e0 )
                zcompadi2 = MIN( zcompadi, 5.e-7 )
                zcompaph  = MAX( ( trn(ji,jj,jk,jpphy) - 2.e-7 ), 0.e0 )
                zcompapoc = MAX( ( trn(ji,jj,jk,jppoc) - 1.e-8 ), 0.e0 )
-
-!     Microzooplankton grazing
-!     ------------------------
+               
+               !     Microzooplankton grazing
+               !     ------------------------
                zdenom2 = 1./ ( zprefp * zcompaph + zprefc * zcompapoc + zprefd * zcompadi2 + rtrn )
 
@@ -101,23 +108,52 @@
                zdenom = 1./ ( xkgraz + zinano * zcompaph + zipoc * zcompapoc + zidiat * zcompadi2 )
 
-               grazp (ji,jj,jk) = zgraze * zinano * zcompaph * zdenom
-               grazm (ji,jj,jk) = zgraze * zipoc  * zcompapoc * zdenom
-               grazsd(ji,jj,jk) = zgraze * zidiat * zcompadi2 * zdenom
-
-               grazpf (ji,jj,jk) = grazp (ji,jj,jk) * trn(ji,jj,jk,jpnfe) / (trn(ji,jj,jk,jpphy) + rtrn)
-
-               grazpch(ji,jj,jk) = grazp (ji,jj,jk) * trn(ji,jj,jk,jpnch) / (trn(ji,jj,jk,jpphy) + rtrn)
-
-               grazmf (ji,jj,jk) = grazm (ji,jj,jk) * trn(ji,jj,jk,jpsfe) / (trn(ji,jj,jk,jppoc) + rtrn)
-
-               grazsf (ji,jj,jk) = grazsd(ji,jj,jk) * trn(ji,jj,jk,jpdfe) / (trn(ji,jj,jk,jpdia) + rtrn)
-
-               grazss (ji,jj,jk) = grazsd(ji,jj,jk) * trn(ji,jj,jk,jpbsi) / (trn(ji,jj,jk,jpdia) + rtrn)
-
-               grazsch(ji,jj,jk) = grazsd(ji,jj,jk) * trn(ji,jj,jk,jpdch) / (trn(ji,jj,jk,jpdia) + rtrn)
-
-            END DO
-         END DO
-      END DO
+               zgrazp(ji,jj,jk)  = zgraze * zinano * zcompaph * zdenom
+               zgrazm(ji,jj,jk)  = zgraze * zipoc  * zcompapoc * zdenom
+               zgrazsd(ji,jj,jk) = zgraze * zidiat * zcompadi2 * zdenom
+
+               zgrazpf (ji,jj,jk) = zgrazp(ji,jj,jk)  * trn(ji,jj,jk,jpnfe) / (trn(ji,jj,jk,jpphy) + rtrn)
+               zgrazmf(ji,jj,jk)  = zgrazm(ji,jj,jk)  * trn(ji,jj,jk,jpsfe) / (trn(ji,jj,jk,jppoc) + rtrn)
+               zgrazsf(ji,jj,jk)  = zgrazsd(ji,jj,jk) * trn(ji,jj,jk,jpdfe) / (trn(ji,jj,jk,jpdia) + rtrn)
+
+            END DO
+         END DO
+      END DO
+      
+
+      DO jk = 1,jpkm1
+         DO jj = 1,jpj
+            DO ji = 1,jpi
+!    Various remineralization and excretion terms
+!    --------------------------------------------
+
+               zgrarem = (  zgrazp(ji,jj,jk) + zgrazm(ji,jj,jk)  + zgrazsd(ji,jj,jk)  ) &
+                  &          * ( 1.- epsher - unass )
+               zgrafer = (  zgrazpf(ji,jj,jk) + zgrazsf(ji,jj,jk)  + zgrazmf(ji,jj,jk)  ) &
+                  &        * ( 1.- epsher - unass ) + epsher *  &
+                  &  ( zgrazm(ji,jj,jk)  * MAX((trn(ji,jj,jk,jpsfe) /(trn(ji,jj,jk,jppoc)+ rtrn)-ferat3),0.e0) &
+                  &   + zgrazp(ji,jj,jk)  * MAX((trn(ji,jj,jk,jpnfe)/(trn(ji,jj,jk,jpphy)+ rtrn)-ferat3),0.e0) &
+                  &   + zgrazsd(ji,jj,jk) * MAX((trn(ji,jj,jk,jpdfe)/(trn(ji,jj,jk,jpdia)+ rtrn)-ferat3),0.e0 )  )
+               zgrapoc = (  zgrazp(ji,jj,jk) + zgrazm(ji,jj,jk) + zgrazsd(ji,jj,jk)  ) * unass
+
+               !  Update of the TRA arrays
+               !  ------------------------
+
+               tra(ji,jj,jk,jppo4) = tra(ji,jj,jk,jppo4) + zgrarem * sigma1
+               tra(ji,jj,jk,jpnh4) = tra(ji,jj,jk,jpnh4) + zgrarem * sigma1
+               tra(ji,jj,jk,jpdoc) = tra(ji,jj,jk,jpdoc) + zgrarem * (1.-sigma1)
+               tra(ji,jj,jk,jpoxy) = tra(ji,jj,jk,jpoxy) - o2ut * zgrarem * sigma1
+               tra(ji,jj,jk,jpfer) = tra(ji,jj,jk,jpfer) + zgrafer
+               tra(ji,jj,jk,jppoc) = tra(ji,jj,jk,jppoc) + zgrapoc
+               tra(ji,jj,jk,jpdic) = tra(ji,jj,jk,jpdic) + zgrarem * sigma1
+#if defined key_kriest
+               tra(ji,jj,jk,jpnum) = tra(ji,jj,jk,jpnum) + zgrapoc * xkr_ndiat
+#endif
+            END DO
+         END DO
+      END DO
+
+!
+!   Update the arrays TRA which contain the biological sources and sinks
+!   --------------------------------------------------------------------
 
       DO jk = 1, jpkm1
@@ -125,25 +161,40 @@
             DO ji = 1, jpi
 
-!    Various remineralization and excretion terms
-!    --------------------------------------------
-
-               grarem(ji,jj,jk) = (  grazp(ji,jj,jk) + grazm (ji,jj,jk)        &
-                  &                                  + grazsd(ji,jj,jk)  ) * ( 1.- epsher - unass )
-
-               grafer(ji,jj,jk) = (  grazpf(ji,jj,jk) + grazsf(ji,jj,jk)      &
-                  &                                   + grazmf(ji,jj,jk)  ) * ( 1.- epsher - unass )   &
-                  &             + (  grazm (ji,jj,jk) * MAX( (trn(ji,jj,jk,jpsfe) /     &
-                  &                                          (trn(ji,jj,jk,jppoc) + rtrn) - ferat3), 0.e0 )   &
-                  &                + grazp (ji,jj,jk) * MAX( (trn(ji,jj,jk,jpnfe) /   &
-                  &                                          (trn(ji,jj,jk,jpphy) + rtrn) - ferat3), 0.e0 )   &
-                  &                + grazsd(ji,jj,jk) * MAX( (trn(ji,jj,jk,jpdfe) /   &
-                  &                                         (trn(ji,jj,jk,jpdia) + rtrn) - ferat3), 0.e0 )  ) * epsher 
-
-               grapoc(ji,jj,jk) = (  grazp(ji,jj,jk) + grazm(ji,jj,jk) + grazsd(ji,jj,jk)  ) * unass
-
+               zmortz = ztortz(ji,jj,jk) + zrespz(ji,jj,jk)
+               tra(ji,jj,jk,jpzoo) = tra(ji,jj,jk,jpzoo) - zmortz  &
+               &     + epsher * ( zgrazp(ji,jj,jk) + zgrazm(ji,jj,jk) + zgrazsd(ji,jj,jk))
+               tra(ji,jj,jk,jpphy) = tra(ji,jj,jk,jpphy) - zgrazp(ji,jj,jk)
+               tra(ji,jj,jk,jpdia) = tra(ji,jj,jk,jpdia) - zgrazsd(ji,jj,jk)
+               tra(ji,jj,jk,jpnch) = tra(ji,jj,jk,jpnch) - zgrazp(ji,jj,jk)  &
+               &                   * trn(ji,jj,jk,jpnch)/(trn(ji,jj,jk,jpphy)+rtrn)
+               tra(ji,jj,jk,jpdch) = tra(ji,jj,jk,jpdch) - zgrazsd(ji,jj,jk) &
+               &                   * trn(ji,jj,jk,jpdch)/(trn(ji,jj,jk,jpdia)+rtrn)
+               tra(ji,jj,jk,jpbsi) = tra(ji,jj,jk,jpbsi) - zgrazsd(ji,jj,jk) &
+               &                   * trn(ji,jj,jk,jpbsi)/(trn(ji,jj,jk,jpdia)+rtrn)
+               tra(ji,jj,jk,jpdsi) = tra(ji,jj,jk,jpdsi) + zgrazsd(ji,jj,jk) &
+               &                   * trn(ji,jj,jk,jpbsi)/(trn(ji,jj,jk,jpdia)+rtrn)
+               tra(ji,jj,jk,jpnfe) = tra(ji,jj,jk,jpnfe) - zgrazpf(ji,jj,jk)
+               tra(ji,jj,jk,jpdfe) = tra(ji,jj,jk,jpdfe) - zgrazsf(ji,jj,jk)
+               tra(ji,jj,jk,jppoc) = tra(ji,jj,jk,jppoc) + zmortz - zgrazm(ji,jj,jk)
+               tra(ji,jj,jk,jpsfe) = tra(ji,jj,jk,jpsfe) + ferat3 * zmortz   &
+               &                    + unass * ( zgrazpf(ji,jj,jk) + zgrazsf (ji,jj,jk)) &
+               &                   - (1.-unass) * zgrazmf(ji,jj,jk)
+               zprcaca = xfracal(ji,jj,jk) * part * unass * zgrazp(ji,jj,jk)
+               tra(ji,jj,jk,jpdic) = tra(ji,jj,jk,jpdic) - zprcaca
+               tra(ji,jj,jk,jptal) = tra(ji,jj,jk,jptal)- 2. * zprcaca
+               tra(ji,jj,jk,jpcal) = tra(ji,jj,jk,jpcal) + zprcaca
+#if defined key_kriest
+               tra(ji,jj,jk,jpnum) = tra(ji,jj,jk,jpnum) + ( zmortz - zgrazm(ji,jj,jk) ) * xkr_ndiat
+#endif
             END DO
          END DO
       END DO
       !
+       IF(ln_ctl)   THEN  ! print mean trends (used for debugging)
+         WRITE(charout, FMT="('micro')")
+         CALL prt_ctl_trc_info(charout)
+         CALL prt_ctl_trc(tab4d=tra, mask=tmask, clinfo=ctrcnm)
+       ENDIF
+
    END SUBROUTINE p4z_micro
 
Index: branches/dev_001_GM/NEMO/TOP_SRC/PISCES/p4znano.F90
===================================================================
--- branches/dev_001_GM/NEMO/TOP_SRC/PISCES/p4znano.F90	(revision 857)
+++ branches/dev_001_GM/NEMO/TOP_SRC/PISCES/p4znano.F90	(revision 858)
@@ -16,4 +16,5 @@
    USE trp_trc         ! 
    USE sms             ! 
+   USE prtctl_trc
 
    IMPLICIT NONE
@@ -40,6 +41,9 @@
       !! ** Method  : - ???
       !!---------------------------------------------------------------------
-      INTEGER  ::   ji, jj, jk
-      REAL(wp) ::   zfact, zstep, zcompaph
+      INTEGER  :: ji, jj, jk
+      REAL(wp) :: zstep, zcompaph
+      REAL(wp) :: zfactfe,zfactch,zprcaca,zfracal
+      REAL(wp) :: ztortp,zrespp,zmortp
+      CHARACTER (len=25) :: charout
       !!---------------------------------------------------------------------
 
@@ -53,18 +57,13 @@
 
                zcompaph = MAX( ( trn(ji,jj,jk,jpphy) - 1e-8 ), 0.e0 )
-               zfact    = 1./ ( trn(ji,jj,jk,jpphy) + rtrn )
 
 !     Squared mortality of Phyto similar to a sedimentation term during
 !     blooms (Doney et al. 1996)
 !     -----------------------------------------------------------------
-               respp(ji,jj,jk) = wchl * 1.e6 * zstep * zdiss(ji,jj,jk)   &
+               zrespp = wchl * 1.e6 * zstep * xdiss(ji,jj,jk)   &
 # if defined key_off_degrad
-                  &            * facvol(ji,jj,jk)     &
+                  &        * facvol(ji,jj,jk)     &
 # endif
-                  &            * zcompaph * trn(ji,jj,jk,jpphy)
-                                                                               
-               respnf (ji,jj,jk) = respp(ji,jj,jk) * trn(ji,jj,jk,jpnfe) * zfact
-                                                                               
-               respnch(ji,jj,jk) = respp(ji,jj,jk) * trn(ji,jj,jk,jpnch) * zfact
+                  &        * zcompaph * trn(ji,jj,jk,jpphy)
 
 !     Phytoplankton mortality. This mortality loss is slightly
@@ -72,18 +71,46 @@
 !     as observed for instance in case of iron limitation.
 !     ----------------------------------------------------------
-               tortp  (ji,jj,jk) = mprat * zstep * trn(ji,jj,jk,jpphy)          &
+               ztortp = mprat * zstep * trn(ji,jj,jk,jpphy)          &
 # if defined key_off_degrad
-                  &              * facvol(ji,jj,jk)     &
+                  &          * facvol(ji,jj,jk)     &
 # endif
-                  &              / ( xkmort + trn(ji,jj,jk,jpphy) ) * zcompaph
+                  &   / ( xkmort + trn(ji,jj,jk,jpphy) ) * zcompaph
+
                                                                                
-               tortnf (ji,jj,jk) = tortp(ji,jj,jk) * trn(ji,jj,jk,jpnfe) * zfact
-                                                                               
-               tortnch(ji,jj,jk) = tortp(ji,jj,jk) * trn(ji,jj,jk,jpnch) * zfact
+               zmortp = zrespp + ztortp
 
+               !   Update the arrays TRA which contains the biological sources and sinks
+               
+               zfactfe = trn(ji,jj,jk,jpnfe)/(trn(ji,jj,jk,jpphy)+rtrn)
+               zfactch = trn(ji,jj,jk,jpnch)/(trn(ji,jj,jk,jpphy)+rtrn)
+               
+               tra(ji,jj,jk,jpphy) = tra(ji,jj,jk,jpphy) - zmortp
+               tra(ji,jj,jk,jpnch) = tra(ji,jj,jk,jpnch) - zmortp * zfactch
+               tra(ji,jj,jk,jpnfe) = tra(ji,jj,jk,jpnfe) - zmortp * zfactfe
+               zprcaca = xfracal(ji,jj,jk) * zmortp
+               zfracal = 0.5 * xfracal(ji,jj,jk)
+               tra(ji,jj,jk,jpdic) = tra(ji,jj,jk,jpdic) - zprcaca
+               tra(ji,jj,jk,jptal) = tra(ji,jj,jk,jptal) - 2. * zprcaca
+               tra(ji,jj,jk,jpcal) = tra(ji,jj,jk,jpcal) + zprcaca
+#if defined key_kriest
+               tra(ji,jj,jk,jppoc) = tra(ji,jj,jk,jppoc) + zmortp
+               tra(ji,jj,jk,jpnum) = tra(ji,jj,jk,jpnum) + ztortp * xkr_nnano + zrespp * xkr_ndiat
+               tra(ji,jj,jk,jpsfe) = tra(ji,jj,jk,jpsfe) + zmortp * zfactfe
+#else
+               tra(ji,jj,jk,jpgoc) = tra(ji,jj,jk,jpgoc) + zfracal * zmortp
+               tra(ji,jj,jk,jppoc) = tra(ji,jj,jk,jppoc) + ( 1. - zfracal ) * zmortp
+               tra(ji,jj,jk,jpsfe) = tra(ji,jj,jk,jpsfe) + ( 1. - zfracal ) * zmortp * zfactfe
+               tra(ji,jj,jk,jpbfe) = tra(ji,jj,jk,jpbfe) + zfracal * zmortp * zfactfe
+#endif
             END DO
          END DO
       END DO
       !
+       IF(ln_ctl)   THEN  ! print mean trends (used for debugging)
+         WRITE(charout, FMT="('nano')")
+         CALL prt_ctl_trc_info(charout)
+         CALL prt_ctl_trc(tab4d=tra, mask=tmask, clinfo=ctrcnm)
+       ENDIF
+
    END SUBROUTINE p4z_nano
 
Index: branches/dev_001_GM/NEMO/TOP_SRC/PISCES/p4zopt.F90
===================================================================
--- branches/dev_001_GM/NEMO/TOP_SRC/PISCES/p4zopt.F90	(revision 857)
+++ branches/dev_001_GM/NEMO/TOP_SRC/PISCES/p4zopt.F90	(revision 858)
@@ -91,5 +91,7 @@
       END DO
 
+!CDIR NOVERRCHK
       DO jj = 1,jpj
+!CDIR NOVERRCHK
          DO ji = 1,jpi
 
@@ -108,6 +110,9 @@
       END DO
 
+!CDIR NOVERRCHK
       DO jk = 2, jpkm1
+!CDIR NOVERRCHK
           DO jj = 1, jpj
+!CDIR NOVERRCHK
             DO ji = 1, jpi
 
@@ -131,4 +136,7 @@
 
       etot(:,:,:) = ze1(:,:,:) + ze2(:,:,:) + ze3(:,:,:)
+      enano(:,:,:) = 2.1 * ze1(:,:,:) + 0.42 * ze2(:,:,:) + 0.4 * ze3(:,:,:)
+      ediat(:,:,:) = 1.6 * ze1(:,:,:) + 0.69 * ze2(:,:,:) + 0.7 * ze3(:,:,:)
+
 
       IF( ln_qsr_sms ) THEN
@@ -137,5 +145,7 @@
 !   ------------------------------------------------------------------------------
 
-         DO jj = 1, jpj
+!CDIR NOVERRCHK
+         DO jj = 1, jpj
+!CDIR NOVERRCHK
             DO ji = 1, jpi
 
@@ -155,6 +165,9 @@
          END DO
 
+!CDIR NOVERRCHK
          DO jk = 2, jpkm1
+!CDIR NOVERRCHK
             DO jj = 1, jpj
+!CDIR NOVERRCHK
                DO ji = 1, jpi
 
@@ -162,7 +175,7 @@
 !     -------------------------------------------------
 
-                  zblight1 = zekb(ji,jj,jk-1) * fse3t(ji,jj,jk-1)
-                  zglight1 = zekg(ji,jj,jk-1) * fse3t(ji,jj,jk-1)
-                  zrlight1 = zekr(ji,jj,jk-1) * fse3t(ji,jj,jk-1)
+                  zblight = zekb(ji,jj,jk-1) * fse3t(ji,jj,jk-1)
+                  zglight = zekg(ji,jj,jk-1) * fse3t(ji,jj,jk-1)
+                  zrlight = zekr(ji,jj,jk-1) * fse3t(ji,jj,jk-1)
 
                   ze3lum(ji,jj,jk) = ze3lum(ji,jj,jk-1) * EXP( -zblight )
@@ -182,15 +195,15 @@
 !     ---------------------------------
     
-      zmeu(:,:) = 300.e0
+      heup(:,:) = 300.e0
 
       DO jk = 2, jpkm1
          DO jj = 1, jpj
             DO ji = 1, jpi
-               IF( etot(ji,jj,jk) >= 0.0043 * qsr(ji,jj) )   zmeu(ji,jj) = fsdepw(ji,jj,jk+1)
-            END DO
-         END DO
-      END DO
-
-      zmeu(:,:) = MIN( 300., zmeu(:,:) )
+               IF( etot(ji,jj,jk) >= 0.0043 * qsr(ji,jj) )   heup(ji,jj) = fsdepw(ji,jj,jk+1)
+            END DO
+         END DO
+      END DO
+
+      heup(:,:) = MIN( 300., heup(:,:) )
 
 !    Computation of the mean light over the mixed layer depth
@@ -224,6 +237,7 @@
       END DO
 
+
 # if defined key_trc_diaadd
-      trc2d(:,:,11) = zmeu(:,:)
+      trc2d(:,:,11) = heup(:,:)
 # endif
       !
Index: branches/dev_001_GM/NEMO/TOP_SRC/PISCES/p4zprg.F90
===================================================================
--- branches/dev_001_GM/NEMO/TOP_SRC/PISCES/p4zprg.F90	(revision 857)
+++ branches/dev_001_GM/NEMO/TOP_SRC/PISCES/p4zprg.F90	(revision 858)
@@ -25,5 +25,5 @@
    USE p4zlys          ! 
    USE p4zflx          ! 
-   
+
    IMPLICIT NONE
    PRIVATE
@@ -54,4 +54,6 @@
       INTEGER ::   jnt, jn
       INTEGER ::   iyy, imm, idd
+
+
       !!---------------------------------------------------------------------
 
@@ -74,7 +76,9 @@
       DO jnt = 1, nrdttrc             ! ???
          !
-         CALL p4z_bio          ! Compute soft tissue production (POC)
+         CALL p4z_bio ( kt )         ! Compute soft tissue production (POC)
+
 
          CALL p4z_sed          ! compute soft tissue remineralisation
+
          !
          trb(:,:,:,:) = trn(:,:,:,:)
@@ -84,7 +88,8 @@
       CALL p4z_lys             ! Compute CaCO3 saturation
 
-      CALL p4z_flx             ! Compute surface fluxes
+      CALL p4z_flx( kt )             ! Compute surface fluxes
 
-      DO jn = 1, jptra
+
+      DO jn = jp_pcs0, jp_pcs1
         CALL lbc_lnk( trn(:,:,:,jn), 'T', 1. )
         CALL lbc_lnk( trb(:,:,:,jn), 'T', 1. )
